SSLHandshakeException (Java SE 21 & JDK 21)
Description: declaration: module: java.base, package: javax.net.ssl, class: SSLHandshakeException
Keywords: javax.net.ssl.SSLHandshakeException class

Module java.base
Package javax.net.ssl

# Class SSLHandshakeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
javax.net.ssl.SSLException
javax.net.ssl.SSLHandshakeException

All Implemented Interfaces:
  `Serializable`

public class SSLHandshakeException extends SSLException
Indicates that the client and server could not negotiate the desired level of security. The connection is no longer usable.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSLHandshakeException(String reason)`
  Constructs an exception reporting an error found by an SSL subsystem during handshaking.
  `SSLHandshakeException(String message, Throwable cause)`
  Creates a `SSLHandshakeException` with the specified detail message and cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SSLHandshakeException

    public SSLHandshakeException(String reason)
    Constructs an exception reporting an error found by an SSL subsystem during handshaking.
    Parameters:
      `reason` - describes the problem.

  - ### SSLHandshakeException

    public SSLHandshakeException(String message, Throwable cause)
    Creates a `SSLHandshakeException` with the specified detail message and cause.
    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      19